Bug 27899 - Missing description for libraryNotPickupLocation on request.pl
Summary: Missing description for libraryNotPickupLocation on request.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 7534
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-08 18:11 UTC by Tomás Cohen Arazi
Modified: 2021-06-08 23:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.07


Attachments
screenshot (92.66 KB, image/png)
2021-03-08 18:11 UTC, Tomás Cohen Arazi
Details
Bug 27899: Missing description for libraryNotPickupLocation on request.pl (2.20 KB, patch)
2021-03-15 14:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27899: Missing description for libraryNotPickupLocation on request.pl (2.25 KB, patch)
2021-03-15 14:53 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Screenshot showing more context (63.31 KB, image/png)
2021-04-05 18:25 UTC, Owen Leonard
Details
Bug 27899: Missing description for libraryNotPickupLocation on request.pl (2.25 KB, patch)
2021-05-12 12:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27899: Missing description for libraryNotPickupLocation on request.pl (2.49 KB, patch)
2021-05-24 16:43 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-03-08 18:11:01 UTC
As the attached screenshot highlights, there's no description for that error status.
Comment 1 Tomás Cohen Arazi 2021-03-08 18:11:47 UTC
Created attachment 117944 [details]
screenshot
Comment 2 Owen Leonard 2021-03-15 14:24:30 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2021-03-15 14:53:12 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2021-04-03 23:14:28 UTC
I think I am missing something in the test plan:

- I am using "Fairview" for testing.
- I have set Fairview to be no pickup location in libraries.
- I have made sure that there are no other rules blocking a hold on the items.
- In the pick-up location pull down, Fairview no longer shows up.

Therefore... there is no error for any item specific hold?

I am not sure what I am missing here in order to trigger the error. I think there was some recent work on pick-up locations - maybe something changed?
Comment 5 Owen Leonard 2021-04-05 18:25:57 UTC
Created attachment 119186 [details]
Screenshot showing more context

You're on the right track but you're looking at the wrong area of the page. See the attached screenshot, in the section with the heading "Place a hold on a specific item."
Comment 6 Katrin Fischer 2021-04-06 06:47:08 UTC
Hi Owen, sorry, I did check there, but it was not showing. I only got the general message "No items can be blaced on hold" IIRC.

Maybe something different in configuration? Not unhappy if someone else wants to try their hand at this.
Comment 7 Jonathan Druart 2021-04-14 10:31:58 UTC
Same as Katrin for me, or there is something missing in the test plan or it's related to bug 28118.
Comment 8 Owen Leonard 2021-05-12 12:22:24 UTC
Created attachment 120864 [details] [review]
Bug 27899: Missing description for libraryNotPickupLocation on request.pl

This patch adds text to the holds template in the staff client so that
if a particular item is at a library which isn't a hold location the
error message is descriptive.

To test, apply the patch and go to Administration -> Libraries.

 - Change one of your libraries so that "Pickup location" is set to
   "No."
 - Locate a title in the catalog which has an item at that location.
 - Start the process of placing a hold on the title.
 - After selecting a patron to place the hold for, look at the table of
   items under "Place a hold on a specific item."
 - The item located at the library you modified should show an error
   message in the "Hold" column, "Library is not a pickup location."

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Owen Leonard 2021-05-12 12:22:47 UTC
Rebased for additional testing.
Comment 10 Jonathan Druart 2021-05-21 09:19:41 UTC
Switch back to NQA.
Comment 11 Victor Grousset/tuxayo 2021-05-24 16:43:25 UTC
Created attachment 121342 [details] [review]
Bug 27899: Missing description for libraryNotPickupLocation on request.pl

This patch adds text to the holds template in the staff client so that
if a particular item is at a library which isn't a hold location the
error message is descriptive.

To test, apply the patch and go to Administration -> Libraries.

 - Change one of your libraries so that "Pickup location" is set to
   "No."
 - Locate a title in the catalog which has an item at that location.
 - The "pick up at" list will exclude the library so and additional steps
     must be taken to get the message
 - Select a patron and set their library to the one we can't pick up at.
 - Start the process of placing a hold on the title.
 - After selecting the patron to place the hold for, look at the table of
   items under "Place a hold on a specific item."
 - The item located at the library you modified should show an error
   message in the "Hold" column, "Library is not a pickup location."

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 12 Victor Grousset/tuxayo 2021-05-24 16:45:50 UTC
Works, code looks good, change makes sense, QA script happy

Passed QA :D
Comment 13 Victor Grousset/tuxayo 2021-05-24 16:47:05 UTC
Also added a step in the test plan to be sure to get the message:

 - The "pick up at" list will exclude the library so and additional steps
     must be taken to get the message
 - Select a patron and set their library to the one we can't pick up at.
Comment 14 Jonathan Druart 2021-05-27 13:10:15 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 15 Fridolin Somers 2021-05-31 14:42:49 UTC
Pushed to 20.11.x for 20.11.07
Comment 16 Victor Grousset/tuxayo 2021-06-08 23:20:33 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.